Page MenuHomePhabricator

Turkish Wikisource reports low number of content pages
Closed, ResolvedPublic

Description

The statistics page on Turkish Wikisource displays an incorrect value for the article count. It can be verified from the API that the correct value is 6982, not 4443. Would running updateArticleCount.php solve this problem?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 28 2020, 4:11 PM
Urbanecm changed the task status from Open to Stalled.Mar 28 2020, 4:38 PM
Urbanecm added a subscriber: Urbanecm.

Hi, not really. $wgArticleCountMethod is set to link for trwikisource, meaning all pages in the main namespace must have at least one valid internal wikilink to be considered an article/content page. If your community wants so, we can set wgArticleCountMethod to any, which would mean all non-redirects in main namespace would be considered as an article/content page.

Let me know if this is what you want. I'd also need an on-wiki discussion about this.

Best,
Martin

Urbanecm renamed this task from Run updateArticleCount.php on Turkish Wikisource to Turkish Wikisource reports low number of content pages.Mar 28 2020, 4:39 PM
Urbanecm moved this task from Unsorted to Single wikis on the Community-consensus-needed board.
Urbanecm removed a project: Wikisource.

Let me know if this is what you want. I'd also need an on-wiki discussion about this.

Best,
Martin

Community consensus is here. Thanks.

Much time has passed and no one opposed to the idea. Can we do the required update?

Superyetkin changed the task status from Stalled to Open.Apr 21 2020, 9:12 PM
Superyetkin triaged this task as High priority.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptApr 21 2020, 9:12 PM

@Superyetkin: Do you plan to work on fixing this task, as you increased the priority of this task? If yes, please set yourself as task assignee and follow https://wikitech.wikimedia.org/wiki/Wikimedia_site_requests to write a patch which changes the value for wgArticleCountMethod. Thanks!

Aklapper raised the priority of this task from High to Needs Triage.Apr 22 2020, 9:04 AM
RhinosF1 claimed this task.Apr 22 2020, 9:12 AM
RhinosF1 triaged this task as Medium priority.

I'll look at a patch now but we've got no deployments left this week.

Restricted Application added a project: User-RhinosF1. · View Herald TranscriptApr 22 2020, 9:12 AM
RhinosF1 moved this task from Radar to Configuration on the User-RhinosF1 board.Apr 22 2020, 9:13 AM

Change 591771 had a related patch set uploaded (by RhinosF1; owner: RhinosF1):
[operations/mediawiki-config@master] Set $wgArticleCount to 'any' on trwikisource

https://gerrit.wikimedia.org/r/591771

RhinosF1 moved this task from Working on to To deploy on the Wikimedia-Site-requests board.

Hi,

I apologise for the delay in getting this done. I have now created a patch but we can not deploy outside of emergencies for the remainder of this week.

I will schedule this patch for SWAT later in this week or early next week and try and get it out as soon as I can.

Thanks,
Samuel

RhinosF1 updated the task description. (Show Details)Wed, Apr 29, 10:31 PM

About to be deployed in 30 mins.

Change 591771 merged by jenkins-bot:
[operations/mediawiki-config@master] Set $wgArticleCount to 'any' on trwikisource

https://gerrit.wikimedia.org/r/591771

Deploying & testing now

RhinosF1 closed this task as Resolved.Wed, Apr 29, 11:26 PM

Page statistics
Content pages 7,508